Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 908980 - Provide the conv=sparse option in dd
Provide the conv=sparse option in dd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coreutils (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
Tomas Dolezal
: FutureFeature
Depends On:
Blocks: 998454
  Show dependency treegraph
 
Reported: 2013-02-07 18:37 EST by Federico Simoncelli
Modified: 2013-11-21 15:59 EST (History)
2 users (show)

See Also:
Fixed In Version: coreutils-8.4-22.el6
Doc Type: Enhancement
Doc Text:
Feature: Command dd is missing the conversion option for sparse file support format. Reason: This feature is quite useful when copying block devices to files to minimize the actual amount of data occupied. More specifically it is very handy when managing virtual machine images on different storages (iscsi, nfs, etc). Result (if any): Feature was implemented in the RHEL-6 coreutils package based on the upstream solution.
Story Points: ---
Clone Of:
: 998454 (view as bug list)
Environment:
Last Closed: 2013-11-21 15:59:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1652 normal SHIPPED_LIVE Low: coreutils security, bug fix, and enhancement update 2013-11-20 16:53:21 EST

  None (edit)
Description Federico Simoncelli 2013-02-07 18:37:03 EST
Description of problem:
At the moment dd (part of coreutils) is not supporting the conv=sparse option. Upstream the feature is present since Feb 27 2012:

4e776fa dd: add support for the conv=sparse option

Version-Release number of selected component (if applicable):
coreutils-8.4-19.el6.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. $ dd if=/dev/zero of=/tmp/test.dd count=10 conv=sparse
  
Actual results:
dd: invalid conversion: `sparse'

Expected results:
$ stat -c %b /tmp/test.dd
0

Additional info:
This feature is quite useful when copying block devices to files to minimize the actual amount of data occupied. More specifically it is very handy when managing virtual machine images on different storages (iscsi, nfs, etc).
Comment 2 Ondrej Vasik 2013-02-08 04:43:09 EST
Just for reference - related upstream commit is http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=4e776faa8482ae630d2ea9bc767298e664f07ba9 ... it should be easy to backport it. There is some tuning needed for the test (it's not working properly in initial version).
Comment 7 errata-xmlrpc 2013-11-21 15:59:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1652.html

Note You need to log in before you can comment on or make changes to this bug.